Package org.springframework.security.web.server.firewall

# Interface ServerExchangeRejectedHandler

All Known Implementing Classes:
  `HttpStatusExchangeRejectedHandler`

public interface ServerExchangeRejectedHandler
Handles `ServerExchangeRejectedException` thrown by `ServerWebExchangeFirewall`.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`handle(org.springframework.web.server.ServerWebExchange exchange, ServerExchangeRejectedException serverExchangeRejectedException)`
Handles an request rejected failure.

## Method Details

### handle

reactor.core.publisher.Mono<Void> handle(org.springframework.web.server.ServerWebExchange exchange, ServerExchangeRejectedException serverExchangeRejectedException)
Handles an request rejected failure.

Parameters:
  `exchange` - the `ServerWebExchange` that was rejected
  `serverExchangeRejectedException` - that caused the invocation